Index: resources/views/archive.blade.php
===================================================================
--- resources/views/archive.blade.php	(revision 249bf91ed01b2668de0b85629744c0ae1c0ba930)
+++ resources/views/archive.blade.php	(revision 768f47335966ba1c9293c4e78941c76edd43c239)
@@ -31,7 +31,5 @@
         @if (Session::get('is_policeman'))
             <a href="#" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Полицаец</a>
-            <button class="w-full bg-white cta-btn font-semibold py-2 mt-5 rounded-br-lg rounded-bl-lg rounded-tr-lg shadow-lg hover:shadow-xl hover:bg-gray-300 flex items-center justify-center">
-                <i class="fas fa-plus mr-3"></i> <a href="/register-statement">Додади изјава</a>
-            </button>
+
         @else
             <a href="#" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Началник</a>
Index: resources/views/case.blade.php
===================================================================
--- resources/views/case.blade.php	(revision 249bf91ed01b2668de0b85629744c0ae1c0ba930)
+++ resources/views/case.blade.php	(revision 768f47335966ba1c9293c4e78941c76edd43c239)
@@ -71,7 +71,5 @@
         @if (Session::get('is_policeman'))
             <a href="#" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Полицаец</a>
-            <button class="w-full bg-white cta-btn font-semibold py-2 mt-5 rounded-br-lg rounded-bl-lg rounded-tr-lg shadow-lg hover:shadow-xl hover:bg-gray-300 flex items-center justify-center">
-                <i class="fas fa-plus mr-3"></i> <a href="/register-statement">Додади изјава</a>
-            </button>
+
         @else
             <a href="#" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Началник</a>
@@ -131,4 +129,5 @@
 
             </button>
+
             <button x-show="isOpen" @click="isOpen = false" class="h-full w-full fixed inset-0 cursor-default"></button>
             <div x-show="isOpen" class="absolute w-32 bg-white rounded-lg shadow-lg py-2 mt-16">
@@ -209,5 +208,13 @@
                         </div>
                     </div>
+                    @if (Session::get('is_policeman'))
+                        <button class="w-full bg-white cta-btn font-semibold py-2 mt-5 rounded-br-lg rounded-bl-lg rounded-tr-lg shadow-lg hover:shadow-xl hover:bg-gray-300 flex items-center justify-center">
+                            <i class="fas fa-plus mr-3"></i> <a href="/register-statement">Додади изјава</a>
+                        </button>
+                    @else
+
+                    @endif
                 </div>
+
                 <div class="w-full lg:w-1/3 pl-0 lg:pl-2 mt-12 lg:mt-0">
 
@@ -255,4 +262,5 @@
                     </div>
                 </div>
+
                 <div class="w-full lg:w-1/3 pl-0 lg:pl-2 mt-12 lg:mt-0">
 
@@ -267,4 +275,5 @@
                             <div x-show="isOpen"
                                  class="absolute w-full bg-white rounded-lg shadow-lg py-2 mt-16 r bg-white border border-white-200 rounded-lg shadow text-black-900 md:flex-row md:max-w-xl hover:bg-white-100 dark:border-white-700 dark:bg-white-800 dark:hover:bg-white-700">
+                                @if (!empty($victims))
                                 @foreach($victims as $victim)
                                     <a href="#"
@@ -280,5 +289,8 @@
                                     </a>
                                 @endforeach
-                                @foreach($witness as $w)
+                                @endif
+                                    @if (!empty($witness))
+
+                                    @foreach($witness as $w)
                                     <a href="#"
                                        class="flex flex-col items-center bg-white border border-white-200 rounded-lg shadow text-black-900 md:flex-row md:max-w-xl hover:bg-white-100 dark:border-white-700 dark:bg-white-800 dark:hover:bg-white-700">
@@ -293,4 +305,5 @@
                                     </a>
                                 @endforeach
+                                    @endif
                                 <br>
                             </div>
Index: resources/views/cases.blade.php
===================================================================
--- resources/views/cases.blade.php	(revision 249bf91ed01b2668de0b85629744c0ae1c0ba930)
+++ resources/views/cases.blade.php	(revision 768f47335966ba1c9293c4e78941c76edd43c239)
@@ -31,7 +31,5 @@
         @if (Session::get('is_policeman'))
             <a href="#" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Полицаец</a>
-            <button class="w-full bg-white cta-btn font-semibold py-2 mt-5 rounded-br-lg rounded-bl-lg rounded-tr-lg shadow-lg hover:shadow-xl hover:bg-gray-300 flex items-center justify-center">
-                <i class="fas fa-plus mr-3"></i> <a href="/register-statement">Додади изјава</a>
-            </button>
+
         @else
             <a href="#" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Началник</a>
Index: resources/views/employee.blade.php
===================================================================
--- resources/views/employee.blade.php	(revision 249bf91ed01b2668de0b85629744c0ae1c0ba930)
+++ resources/views/employee.blade.php	(revision 768f47335966ba1c9293c4e78941c76edd43c239)
@@ -152,7 +152,5 @@
         @if (Session::get('is_policeman'))
             <a href="#" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Полицаец</a>
-            <button class="w-full bg-white cta-btn font-semibold py-2 mt-5 rounded-br-lg rounded-bl-lg rounded-tr-lg shadow-lg hover:shadow-xl hover:bg-gray-300 flex items-center justify-center">
-                <i class="fas fa-plus mr-3"></i> <a href="/register-statement">Додади изјава</a>
-            </button>
+
         @else
             <a href="#" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Началник</a>
Index: resources/views/employees.blade.php
===================================================================
--- resources/views/employees.blade.php	(revision 249bf91ed01b2668de0b85629744c0ae1c0ba930)
+++ resources/views/employees.blade.php	(revision 768f47335966ba1c9293c4e78941c76edd43c239)
@@ -65,7 +65,4 @@
         @if (Session::get('is_policeman'))
             <a href="#" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Полицаец</a>
-            <button class="w-full bg-white cta-btn font-semibold py-2 mt-5 rounded-br-lg rounded-bl-lg rounded-tr-lg shadow-lg hover:shadow-xl hover:bg-gray-300 flex items-center justify-center">
-                <i class="fas fa-plus mr-3"></i> <a href="/register-statement">Додади изјава</a>
-            </button>
         @else
             <a href="#" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Началник</a>
@@ -122,4 +119,5 @@
 
                 <img src="{{ $image }}">
+
 
             </button>
Index: resources/views/filter.blade.php
===================================================================
--- resources/views/filter.blade.php	(revision 249bf91ed01b2668de0b85629744c0ae1c0ba930)
+++ resources/views/filter.blade.php	(revision 768f47335966ba1c9293c4e78941c76edd43c239)
@@ -111,7 +111,5 @@
         @if (Session::get('is_policeman'))
             <a href="#" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Полицаец</a>
-            <button class="w-full bg-white cta-btn font-semibold py-2 mt-5 rounded-br-lg rounded-bl-lg rounded-tr-lg shadow-lg hover:shadow-xl hover:bg-gray-300 flex items-center justify-center">
-                <i class="fas fa-plus mr-3"></i> <a href="/register-statement">Додади изјава</a>
-            </button>
+
         @else
             <a href="#" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Началник</a>
Index: resources/views/register-statement.blade.php
===================================================================
--- resources/views/register-statement.blade.php	(revision 249bf91ed01b2668de0b85629744c0ae1c0ba930)
+++ resources/views/register-statement.blade.php	(revision 768f47335966ba1c9293c4e78941c76edd43c239)
@@ -1,1 +1,368 @@
-<h1>TODO</h1>
+<!DOCTYPE html>
+<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
+<head>
+    <meta charset="utf-8">
+    <meta name="viewport" content="width=device-width, initial-scale=1">
+
+    <title>Laravel</title>
+
+    <!-- Fonts -->
+    <link rel="preconnect" href="https://fonts.bunny.net">
+    <link href="https://fonts.bunny.net/css?family=figtree:400,600&display=swap" rel="stylesheet" />
+
+    <!-- Styles -->
+    <style>
+        @import url('https://fonts.googleapis.com/css?family=Karla:400,700&display=swap');
+        .font-family-karla { font-family: karla; }
+        .bg-sidebar { background: #3d68ff; }
+        .cta-btn { color: #3d68ff; }
+        .upgrade-btn { background: #1947ee; }
+        .upgrade-btn:hover { background: #0038fd; }
+        .active-nav-link { background: #1947ee; }
+        .nav-item:hover { background: #1947ee; }
+        .account-link:hover { background: #3d68ff; }
+        .flex-parent-element {
+            display: flex;
+            width: 50%;
+        }
+
+        .flex-child-element {
+            flex: 1;
+            margin: 10px;
+        }
+
+        .flex-child-element:first-child {
+            margin-right: 20px;
+        }
+        .container {
+            display: block;
+            position: relative;
+            padding-left: 35px;
+            margin-bottom: 12px;
+            cursor: pointer;
+            font-size: 22px;
+            -webkit-user-select: none;
+            -moz-user-select: none;
+            -ms-user-select: none;
+            user-select: none;
+        }
+        .center {
+            border: 5px solid;
+            width: 50%;
+            padding: 10px;
+            margin-left: 400px;
+        }
+
+        /* Hide the browser's default checkbox */
+        .container input {
+            position: absolute;
+            opacity: 0;
+            cursor: pointer;
+            height: 0;
+            width: 0;
+        }
+
+        /* Create a custom checkbox */
+        .checkmark {
+            position: absolute;
+            top: 0;
+            left: 0;
+            height: 25px;
+            width: 25px;
+            background-color: #eee;
+        }
+
+        /* On mouse-over, add a grey background color */
+        .container:hover input ~ .checkmark {
+            background-color: #ccc;
+        }
+
+        /* When the checkbox is checked, add a blue background */
+        .container input:checked ~ .checkmark {
+            background-color: #2196F3;
+        }
+
+        /* Create the checkmark/indicator (hidden when not checked) */
+        .checkmark:after {
+            content: "";
+            position: absolute;
+            display: none;
+        }
+
+        /* Show the checkmark when checked */
+        .container input:checked ~ .checkmark:after {
+            display: block;
+        }
+
+        /* Style the checkmark/indicator */
+        .container .checkmark:after {
+            left: 9px;
+            top: 5px;
+            width: 5px;
+            height: 10px;
+            border: solid white;
+            border-width: 0 3px 3px 0;
+            -webkit-transform: rotate(45deg);
+            -ms-transform: rotate(45deg);
+            transform: rotate(45deg);
+        }
+        body > div > main > div > div > form{
+            margin-left: 500px;
+            width: 600px;
+        }
+
+        .alert-success {
+            color: #3c763d;
+            background-color: #dff0d8;
+            border-color: #d6e9c6;
+        }
+        .alert {
+            padding: 15px;
+            margin-bottom: 20px;
+            border: 1px solid transparent;
+            border-radius: 4px;
+            width: 200px;
+            float: right;
+        }
+    </style>
+    <script src="https://cdn.tailwindcss.com"></script>
+
+</head>
+<body class="bg-gray-100 font-family-karla flex">
+<aside class="relative bg-sidebar h-screen w-64 hidden sm:block shadow-xl">
+    <div class="p-6">
+        @if (Session::get('is_policeman'))
+            <a href="#" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Полицаец</a>
+        @else
+            <a href="#" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Началник</a>
+            <button class="w-full bg-white cta-btn font-semibold py-2 mt-5 rounded-br-lg rounded-bl-lg rounded-tr-lg shadow-lg hover:shadow-xl hover:bg-gray-300 flex items-center justify-center">
+                <i class="fas fa-plus mr-3"></i> <a href="/register-policeman">Додади полицаец</a>
+            </button>
+        @endif
+    </div>
+    <nav class="text-white text-base font-semibold pt-3">
+        <a href="/" class="flex items-center text-white opacity-75 hover:opacity-100 py-4 pl-6 nav-item">
+            <i class="fas fa-tachometer-alt mr-3"></i>
+            Контролна табла
+        </a>
+        <a href="/employees" class="flex items-center text-white opacity-75 hover:opacity-100 py-4 pl-6 nav-item">
+            <i class="fas fa-sticky-note mr-3"></i>
+            Вработени
+        </a>
+        <a href="/filter" class="flex items-center text-white opacity-75 hover:opacity-100 py-4 pl-6 nav-item">
+            <i class="fas fa-table mr-3"></i>
+            Филтрирај граѓани
+        </a>
+        <a href="/cases" class="flex items-center text-white opacity-75 hover:opacity-100 py-4 pl-6 nav-item">
+            <i class="fas fa-align-left mr-3"></i>
+            Случаи
+        </a>
+        <a href="/finished_cases" class="flex items-center text-white opacity-75 hover:opacity-100 py-4 pl-6 nav-item">
+            <i class="fas fa-calendar mr-3"></i>
+            Архива
+        </a>
+    </nav>
+    <a href="#" class="absolute w-full upgrade-btn bottom-0 active-nav-link text-white flex items-center justify-center py-4">
+        <i class="fas fa-arrow-circle-up mr-3"></i>
+
+    </a>
+</aside>
+
+<div class="w-full flex flex-col h-screen overflow-y-hidden">
+    <!-- Desktop Header -->
+    <header class="w-full items-center bg-white py-2 px-6 hidden sm:flex">
+        <div class="w-1/2"></div>
+        <div x-data="{ isOpen: false }" class="relative w-1/2 flex justify-end">
+            <button @click="isOpen = !isOpen" class="realtive z-10 w-12 h-12 rounded-full overflow-hidden border-4 border-gray-400 hover:border-gray-300 focus:border-gray-300 focus:outline-none">
+                @php
+                    $person = DB::select('select * from people where pe_id=:pe_id;', ['pe_id' => Session::get('pe_id')]);
+
+                    if (!empty($person)) {
+                        $image = $person[0]->picture;
+                    } else {
+                        $image = null;
+                    }
+                @endphp
+
+                <img src="{{ $image }}">
+
+            </button>
+            <button x-show="isOpen" @click="isOpen = false" class="h-full w-full fixed inset-0 cursor-default"></button>
+            <div x-show="isOpen" class="absolute w-32 bg-white rounded-lg shadow-lg py-2 mt-16">
+                <a href="#" class="block px-4 py-2 account-link hover:text-white">Профил</a>
+                <a href="#" class="block px-4 py-2 account-link hover:text-white">Помош</a>
+                <a href="/logout"class="block px-4 py-2 account-link hover:text-white">Одјави се</a>
+            </div>
+        </div>
+    </header>
+
+    <!-- Mobile Header & Nav -->
+    <header x-data="{ isOpen: false }" class="w-full bg-sidebar py-5 px-6 sm:hidden">
+        <div class="flex items-center justify-between">
+            <a href="/" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Началник</a>
+            <button @click="isOpen = !isOpen" class="text-white text-3xl focus:outline-none">
+                <i x-show="!isOpen" class="fas fa-bars"></i>
+                <i x-show="isOpen" class="fas fa-times"></i>
+            </button>
+        </div>
+
+        <!-- Dropdown Nav -->
+        <nav :class="isOpen ? 'flex': 'hidden'" class="flex flex-col pt-4">
+            <a href="/" class="flex items-center text-white opacity-75 hover:opacity-100 py-2 pl-4 nav-item">
+                <i class="fas fa-tachometer-alt mr-3"></i>
+                Контролна табла
+            </a>
+            <a href="/employees" class="flex items-center text-white opacity-75 hover:opacity-100 py-2 pl-4 nav-item">
+                <i class="fas fa-sticky-note mr-3"></i>
+                Вработени
+            </a>
+            <a href="/filter"  class="flex items-center active-nav-link text-white py-2 pl-4 nav-item">
+                <i class="fas fa-table mr-3"></i>
+                Филтрирај граѓани
+            </a>
+            <a href="/cases" class="flex items-center text-white opacity-75 hover:opacity-100 py-2 pl-4 nav-item">
+                <i class="fas fa-align-left mr-3"></i>
+                Случаи
+            </a>
+
+            <a href="/finished_cases" class="flex items-center text-white opacity-75 hover:opacity-100 py-2 pl-4 nav-item">
+                <i class="fas fa-calendar mr-3"></i>
+                Архива
+            </a>
+            <a href="/help" class="flex items-center text-white opacity-75 hover:opacity-100 py-2 pl-4 nav-item">
+                <i class="fas fa-cogs mr-3"></i>
+                Помош
+            </a>
+            <a href="/myprofile" class="flex items-center text-white opacity-75 hover:opacity-100 py-2 pl-4 nav-item">
+                <i class="fas fa-user mr-3"></i>
+                Мој профил
+            </a>
+            <a href="/logout" class="flex items-center text-white opacity-75 hover:opacity-100 py-2 pl-4 nav-item">
+                <i class="fas fa-sign-out-alt mr-3"></i>
+                Одјави се
+            </a>
+
+        </nav>
+        <button class="w-full bg-white cta-btn font-semibold py-2 mt-5 rounded-br-lg rounded-bl-lg rounded-tr-lg shadow-lg hover:shadow-xl hover:bg-gray-300 flex items-center justify-center">
+            <i class="fas fa-plus mr-3"></i> Нов извештај
+        </button>
+    </header>
+
+
+    <main class="w-full flex-grow p-6">
+
+        <h1 class="text-3xl text-black pb-6">Контролна табла</h1>
+
+
+
+        <div class="w-full mt-12">
+            <p class="text-xl pb-3 flex items-center">
+                <i class="fas fa-list mr-3"></i> Додавање на изјава за случај со контролен број {{ session('c_id') }}
+            </p>
+
+            <div class=".center">
+                <form method="POST" action="/register-statement" class="mt-10 .center">
+                    @csrf
+                    <div class="mb-6">
+                        <label class="block mb-2 uppercase font-bold text-xs text-gray-700"
+                               for="description"
+                        >
+                            Опис
+                        </label>
+
+                        <textarea class="border border-gray-400 p-2 w-full"
+                               name="description"
+                               id="description"
+                               required
+                        > </textarea>
+                    </div>
+                    <div class="mb-6">
+                        <label class="block mb-2 uppercase font-bold text-xs text-gray-700"
+                               for="incident_timestamp"
+                        >
+                            Време:
+                        </label>
+
+                        <input class="border border-gray-400 p-2 w-full  text-gray-500"
+                               type="datetime-local"
+                               name="incident_timestamp"
+                               value=""
+                               id="incident_timestamp"
+                               required
+                             >
+                    </div>
+
+                    @error('incident_timestamp')
+                    <p class="text-red-500 text-xs mt-1">{{$message}}</p>
+                    @enderror
+
+                    <div class="mb-6">
+                        <label class="block mb-2 uppercase font-bold text-xs text-gray-700"
+                               for="incident_place"
+                        >
+                            Место:
+                        </label>
+
+                        <input class="border border-gray-400 p-2 w-full text-gray-500"
+                               type="text"
+                               name="incident_place"
+                               value=""
+                               id="incident_place"
+                               required
+                         >
+                    </div>
+                    @error('incident_place')
+                    <p class="text-red-500 text-xs mt-1">{{$message}}</p>
+                    @enderror
+
+
+                    <div class="mb-6">
+                        <label class="block mb-2 uppercase font-bold text-xs text-gray-700"
+                               for="embg"
+                        >
+                            ЕМБГ
+                        </label>
+
+                        <input class="border border-gray-400 p-2 w-full text-gray-500"
+                               type="text"
+                               name="embg"
+                               value=""
+                               id="embg"
+                               required
+                        >
+                    </div>
+                    <label for="witness">Сведок</label>
+                    <input type="radio" id="witness" name="role" value="witness">
+
+                    <label for="victim">Жртва</label>
+                    <input type="radio" id="victim" name="role" value="victim">
+
+                    <div class="mb-6">
+                        <button type="submit"
+                                class="bg-blue-400 text-white rounded py-2 px-4 hover:bg-blue-500"
+                        >
+                            Додади
+                        </button>
+                    </div>
+                </form>
+
+
+            </div>
+        </div>
+    </main>
+</div>
+
+
+<!-- AlpineJS -->
+<script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.x.x/dist/alpine.min.js" defer></script>
+<!-- Font Awesome -->
+<script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/js/all.min.js" integrity="sha256-KzZiKy0DWYsnwMF+X1DvQngQ2/FxF7MF3Ff72XcpuPs=" crossorigin="anonymous"></script>
+<!-- ChartJS -->
+<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.3/Chart.min.js" integrity="sha256-R4pqcOYV8lt7snxMQO/HSbVCFRPMdrhAFMH+vr9giYI=" crossorigin="anonymous"></script>
+<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
+
+
+
+
+</body>
+</html>
Index: resources/views/welcome.blade.php
===================================================================
--- resources/views/welcome.blade.php	(revision 249bf91ed01b2668de0b85629744c0ae1c0ba930)
+++ resources/views/welcome.blade.php	(revision 768f47335966ba1c9293c4e78941c76edd43c239)
@@ -31,7 +31,5 @@
                 @if (Session::get('is_policeman'))
                     <a href="#" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Полицаец</a>
-                    <button class="w-full bg-white cta-btn font-semibold py-2 mt-5 rounded-br-lg rounded-bl-lg rounded-tr-lg shadow-lg hover:shadow-xl hover:bg-gray-300 flex items-center justify-center">
-                        <i class="fas fa-plus mr-3"></i> <a href="/register-statement">Додади изјава</a>
-                    </button>
+
                     @else
                     <a href="#" class="text-white text-3xl font-semibold uppercase hover:text-gray-300">Началник</a>