Index: phonelux_scrappers/scrappers/ledikom_scrapper.py
===================================================================
--- phonelux_scrappers/scrappers/ledikom_scrapper.py	(revision b68ae8d3cc34d054d169fb34943b9fcd77bff7c2)
+++ phonelux_scrappers/scrappers/ledikom_scrapper.py	(revision 895cd8764a7d97717d7e3eb6f4248a199d3623f5)
@@ -1,5 +1,5 @@
+import json
 import unicodedata
 from datetime import datetime
-
 import psycopg2
 import config_read
@@ -10,20 +10,31 @@
 import sys
 
+from classes.phoneoffer import PhoneOffer
+
 file_path = 'outputfile.txt'
 sys.stdout = open(file_path, "w")
-
-# Call to read the configuration file and connect to database
-cinfo = config_read.get_databaseconfig("../postgresdb.config")
-db_connection = psycopg2.connect(
-    database=cinfo[0],
-    host=cinfo[1],
-    user=cinfo[2],
-    password=cinfo[3]
-)
-cur = db_connection.cursor()
 
 offer_shop = "Ledikom"  # offer shop
 last_updated = datetime.now().date()
 is_validated = False
+
+# Ledikom phone offers that are already in database
+
+offers = json.loads(unicodedata.normalize('NFKD', requests.get('http://localhost:8080/phoneoffer/shop/ledikom').text))
+
+database_offers = []
+
+for offer in offers:
+    phoneOffer = PhoneOffer(offer['id'], offer['offer_shop'], offer['offer_name'], offer['price'],
+                            offer['ram_memory'],
+                            offer['rom_memory'], offer['color'], offer['front_camera'], offer['back_camera'],
+                            offer['chipset'], offer['battery'], offer['operating_system'], offer['cpu'],
+                            offer['image_url'],
+                            offer['offer_url'], offer['last_updated'], offer['is_validated'],
+                            offer['offer_description'],
+                            offer['offer_shop_code'])
+    database_offers.append(phoneOffer)
+
+new_offers = []
 
 ledikom_phone_urls = [
@@ -65,5 +76,7 @@
         offer_name = ' '.join(temp_offer_name.split())
         brand = offer_name.split(' ')[0]
-        price = int(phone.find('span', {'class': 'price'}).get_text().replace('ден.', '').replace('.', '').strip())
+        price = int(phone.find('span', {'class': 'price'}).get_text().replace('ден.', '')
+                    .replace('ден', '')
+                    .replace('.', '').strip())
 
         driver1 = webdriver.Safari(executable_path='/usr/bin/safaridriver')
@@ -82,4 +95,12 @@
         rom_memory = None
         ram_memory = None
+        back_camera = None
+        operating_system = None
+        chipset = None
+        battery = None
+        cpu = None
+        front_camera = None
+        offer_shop_code = None
+        offer_description = None
 
         if len(specifications) != 0:
@@ -114,12 +135,50 @@
             color = temp
 
-        insert_script = 'INSERT INTO phone_offers (offer_shop, brand, offer_name, price, image_url, offer_url,' \
-                        'ram_memory, rom_memory, color, last_updated, is_validated)' \
-                        ' VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s);'
-        insert_value = (offer_shop, brand, offer_name, price, image_url, offer_url, ram_memory,
-                        rom_memory, color, last_updated, is_validated)
-        cur.execute(insert_script, insert_value)
-        db_connection.commit()
+        new_offers.append(PhoneOffer(offer_shop, offer_name, price, ram_memory, rom_memory,
+                                     color, front_camera, back_camera, chipset, battery, operating_system, cpu,
+                                     image_url,
+                                     offer_url, last_updated, is_validated, offer_description, offer_shop_code))
 
-cur.close()
-db_connection.close()
+for new_offer in new_offers:
+    flag = False
+    flag_price = False
+    offer_id = None
+
+    for old_offer in database_offers:
+
+        if new_offer.offer_name == old_offer.offer_name:
+            flag = True
+            if new_offer.price != old_offer.price:
+                flag_price = True
+                offer_id = old_offer.offer_id
+
+    if flag:
+        # print('ALREADY IN DATABASE')
+        # print(new_offer)
+        # if it's already in database, check PRICE and if it's changed, change it !!!!!!
+        if flag_price:
+            print('PRICE CHANGED!')  # CHANGE PRICE
+            print('offer id: ' + str(offer_id))
+            headers = {'Content-type': 'application/json'}
+            requests.put('http://localhost:8080/phoneoffer/' + str(offer_id) + '/changeprice/' + str(new_offer.price),
+                         headers=headers)
+    else:
+        print('ADDED')  # ADD OFFER
+        print(new_offer)
+        headers = {'Content-type': 'application/json'}
+        requests.post('http://localhost:8080/phoneoffer/addoffer',
+                      headers=headers, data=json.dumps(new_offer.__dict__, default=str))
+
+print('------------------------------------')
+
+for old_offer in database_offers:
+    flag = False
+    for new_offer in new_offers:
+        if old_offer.offer_name == new_offer.offer_name:
+            flag = True
+
+    if not flag:
+        print('OFFER DELETED')
+        print(old_offer)
+        # DELETE OFFER
+        requests.delete('http://localhost:8080/phoneoffer/deleteoffer/' + str(old_offer.offer_id))