Index: app/Http/Controllers/Auth/CreatePasswordController.php
===================================================================
--- app/Http/Controllers/Auth/CreatePasswordController.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ app/Http/Controllers/Auth/CreatePasswordController.php	(revision 0924b6c75483e6a4ae83e08487635bdc25436fed)
@@ -36,6 +36,4 @@
         $user->save();
 
-        session()->flash("password_created", "You have created a password successfully!");
-
         return redirect()->route("auth.loginShow");
     }
Index: app/Http/Controllers/Blog/BlogController.php
===================================================================
--- app/Http/Controllers/Blog/BlogController.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ app/Http/Controllers/Blog/BlogController.php	(revision 0924b6c75483e6a4ae83e08487635bdc25436fed)
@@ -4,8 +4,6 @@
 
 use App\Http\Requests\Blog\CommentRequest;
-use App\Http\Requests\Blog\CompanyRequest;
 use App\Http\Requests\Blog\PostLikeRequest;
 use App\Http\Requests\Blog\PostUnlikeRequest;
-use App\Models\Company;
 use App\Models\Tag;
 use App\Models\Like;
@@ -17,5 +15,4 @@
 use App\Http\Controllers\Controller;
 use App\Notifications\NewCommentAdded;
-use Illuminate\Support\Facades\DB;
 
 class BlogController extends Controller
@@ -229,35 +226,3 @@
         ]);
     }
-
-    public function storeCompany(CompanyRequest $request)
-    {
-        DB::transaction(function () use ($request) {
-
-            $company = new Company();
-            $company->name = $request->name;
-            $company->website = $request->website;
-            $company->email = $request->email;
-
-            $company->save();
-
-            if ($company->wasRecentlyCreated) {
-                $this->disableOfferModal();
-            }
-        });
-
-        return redirect()->route("blog.index");
-    }
-
-    public function disableOffer()
-    {
-        $this->disableOfferModal();
-        return redirect()->route("blog.index");
-    }
-
-    private function disableOfferModal()
-    {
-        if (!session()->has("offer_disabled")) {
-            session()->push("offer_disabled", true);
-        }
-    }
 }
Index: app/Http/Controllers/Dashboard/CompaniesController.php
===================================================================
--- app/Http/Controllers/Dashboard/CompaniesController.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<?php
-
-namespace App\Http\Controllers\Dashboard;
-
-use App\Helpers\Alert;
-use App\Models\Company;
-use Illuminate\Http\Request;
-use App\Http\Controllers\Controller;
-
-class CompaniesController extends Controller
-{
-    public function index()
-    {
-        return view("dashboard.companies.index")->with([
-            "companies" => Company::all()
-        ]);
-    }
-
-    public function createAdmin($id)
-    {
-        $company = Company::findOrFail($id);
-
-        if($company->users->count()) {
-            return redirect()->route("dashboard.companies.index");
-        }
-
-        return view("dashboard.companies.create-admin")->with([
-            "company" => $company,
-            "countries" => country()->all()
-        ]);
-    }
-
-    public function destroy($id)
-    {
-        $company = Company::findOrFail($id);
-        $companyName = $company->name;
-        $company->delete();
-
-        Alert::flash($companyName . " deleted successfully");
-
-        return redirect()->route("dashboard.companies.index");
-    }
-}
Index: app/Http/Controllers/Dashboard/IndexController.php
===================================================================
--- app/Http/Controllers/Dashboard/IndexController.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ app/Http/Controllers/Dashboard/IndexController.php	(revision 0924b6c75483e6a4ae83e08487635bdc25436fed)
@@ -36,5 +36,5 @@
             "allPosts" => Post::count(),
             "currentUserPosts" => Post::where("user_id", auth()->user()->id)->count(),
-            "users" => !is_null(auth()->user()->company) ? auth()->user()->company->users->count() : User::count(),
+            "users" => User::count(),
             "total_comments" => Comment::count(),
             "comments" => auth()->user()->comments->count()
Index: app/Http/Controllers/Dashboard/PostsController.php
===================================================================
--- app/Http/Controllers/Dashboard/PostsController.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ app/Http/Controllers/Dashboard/PostsController.php	(revision 0924b6c75483e6a4ae83e08487635bdc25436fed)
@@ -5,10 +5,8 @@
 use App\Helpers\Alert;
 use App\Http\Requests\Dashboard\PostRequest;
-use App\Models\Review;
 use App\Models\Tag;
 use App\Models\Post;
 use App\Models\User;
 use App\Models\Category;
-use Illuminate\Support\Facades\DB;
 use Illuminate\Support\Str;
 use Illuminate\Http\Request;
@@ -93,97 +91,63 @@
     public function store(PostRequest $request)
     {
-        DB::transaction(function () use ($request) {
-            $post = new Post();
-            $user = auth()->user();
-            $category = Category::find($request->category);
-
-            $post->user()->associate($user);
-            $post->category()->associate($category);
-
-            $post->title = $request->title;
-
-            $image = $request->file("image");
-            $extension = $image->getClientOriginalExtension();
-            $imageName = $this->createImageName($extension);
-            Storage::disk('uploads')->put($imageName, File::get($image));
-
-            $post->image_link = $imageName;
-            $post->content = Purifier::clean($request->post_content, 'youtube');
-
-            $post->slug = $post->createSlug();
-
-            $needReview = $post->needReview();
-
-            if (is_null($needReview)) {
-                $post->confirmed_by = $post->user->id;
-                $post->is_active = 1;
-                $post->is_confirmed = true;
-            }
+        $post = new Post();
+        $user = auth()->user();
+        $category = Category::find($request->category);
+
+        $post->user()->associate($user);
+        $post->category()->associate($category);
+
+        $post->title = $request->title;
+
+        $image = $request->file("image");
+        $extension = $image->getClientOriginalExtension();
+        $imageName = $this->createImageName($extension);
+        Storage::disk('uploads')->put($imageName, File::get($image));
+
+        $post->image_link = $imageName;
+        $post->content = Purifier::clean($request->post_content, 'youtube');
+
+        $post->slug = $post->createSlug();
+
+        if ($post->user->hasPermission("publish_post")) {
+            $post->confirmed_by = $post->user->id;
+            $post->is_active = 1;
+            $post->is_confirmed = true;
+        }
+
+        $post->save();
+        $this->checkNewAndSaveTags($post, $request->tags);
+
+        if ($post->user->hasPermission("publish_post")) {
+            Alert::flash("New posts published successfully");
+        } else {
+            Alert::flash("New posts submitted for review successfully");
+            $adminsAndEditors = User::where("role_id", 1)->orWhere("role_id", 2)->get();
+            Notification::send($adminsAndEditors, new NewPostCreated("Have new post for review"));
+        }
+
+        return redirect()->route("dashboard.posts.create");
+    }
+
+    public function confirm(Request $request, $id)
+    {
+        $post = Post::find($id);
+        $flag = false;
+
+        if (auth()->user()->hasPermission("confirm_post")) {
+            $flag = true;
+        }
+
+        if ($flag) {
+
+            $post->is_confirmed = true;
+            $post->confirmed_by = auth()->user()->id;
 
             $post->save();
-            $this->checkNewAndSaveTags($post, $request->tags);
-
-            if ($needReview) {
-
-                $review = new Review();
-                $review->post()->associate($post);
-                $review->postSecurity()->associate($needReview);
-                $review->current_phase = $review->postSecurity->phases()->first()->id;
-                $review->save();
-
-                Alert::flash("New posts submitted for review successfully");
-
-                Notification::send(
-                    User::whereRoleId($review->postSecurity->role->id)->get(),
-                    new NewPostCreated("Have new post for review")
-                );
-            } else {
-                Alert::flash("New posts published successfully");
-            }
-        });
-
-//        if ($post->user->hasPermission("publish_post")) {
-//            Alert::flash("New posts published successfully");
-//        } else {
-//            Alert::flash("New posts submitted for review successfully");
-//            $adminsAndEditors = User::where("role_id", 1)->orWhere("role_id", 2)->get();
-//            Notification::send($adminsAndEditors, new NewPostCreated("Have new post for review"));
-//        }
-
-        return redirect()->route("dashboard.posts.create");
-    }
-
-    public function confirm(Request $request, $id)
-    {
-        $post = Post::find($id);
-        $flag = false;
-
-//        if (auth()->user()->hasPermission("confirm_post")) {
-//            $flag = true;
-//        }
-
-        if (!$post->review->canReview()) {
-            Alert::flash("Post need to be confirmed by " . $post->review->getCurrentReviewer()->name, "error");
-            return redirect()->back();
-        }
-
-        DB::transaction(function () use ($post) {
-
-            $post->review->increment("current_phase");
-            $post->review->save();
-
-            if (is_null($post->review->getPhase())) {
-
-                $post->review->is_passed_all_phases = true;
-                $post->review->save();
-
-                $post->is_confirmed = true;
-                $post->confirmed_by = auth()->user()->id;
-                $post->save();
-                $post->user->notify(new PostConfirmed("Your post has been confirmed"));
-            }
-        });
-
-        Alert::flash("Post confirmed successfully");
+
+            Alert::flash("Post confirmed successfully");
+
+            $post->user->notify(new PostConfirmed("Your post has been confirmed"));
+        }
 
         return redirect()->route("dashboard.posts.index");
Index: app/Http/Controllers/Dashboard/SettingsController.php
===================================================================
--- app/Http/Controllers/Dashboard/SettingsController.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ app/Http/Controllers/Dashboard/SettingsController.php	(revision 0924b6c75483e6a4ae83e08487635bdc25436fed)
@@ -6,14 +6,9 @@
 use App\Http\Requests\Dashboard\EmailSettingsRequest;
 use App\Http\Requests\Dashboard\PasswordSettingsRequest;
-use App\Http\Requests\Dashboard\PhaseRequest;
 use App\Http\Requests\Dashboard\PhotosSettingsRequest;
-use App\Http\Requests\Dashboard\PostSecurityRequest;
 use App\Http\Requests\Dashboard\SocialLinksSettingsRequest;
 use App\Http\Requests\Dashboard\UsernameSettingsRequest;
 use App\Http\Requests\Dashboard\UserProfileSettingsRequest;
-use App\Models\Phase;
 use App\Models\Post;
-use App\Models\PostSecurity;
-use App\Models\Role;
 use App\Models\User;
 use App\Models\UserProfile;
@@ -35,8 +30,5 @@
             "userProfile" => auth()->user()->userProfile,
             "countries" => Country::all(),
-            "adminAndEditors" => User::where("role_id", 1)->orWhere("role_id", 2)->get(),
-            "userRoles" => Role::all(),
-            "phases" => Phase::all(),
-            "postSecurities" => PostSecurity::all()
+            "adminAndEditors" => User::where("role_id", 1)->orWhere("role_id", 2)->get()
         ]);
     }
@@ -187,66 +179,4 @@
     }
 
-    public function phaseStore(PhaseRequest $request)
-    {
-        if ($request->has("phase_id") && !is_null($request->phase_id)) {
-            $phase = Phase::findOrFail($request->phase_id);
-        } else {
-            $phase = new Phase();
-        }
-
-        $phase->name = $request->name;
-        $phase->reviewer()->associate(Role::find($request->reviewer_role_id));
-        $phase->user()->associate(auth()->user());
-        $phase->save();
-
-        if ($request->has("phase_id") && !is_null($request->phase_id)) {
-            Alert::flash($phase->name . " updated successfully");
-        } else {
-            Alert::flash($phase->name . " created successfully");
-        }
-
-        return redirect()->route("dashboard.settings.index");
-    }
-
-    public function phaseDestroy($id)
-    {
-        $phase = Phase::findOrFail($id);
-        $phaseName = $phase->name;
-        $phase->delete();
-
-        Alert::flash($phaseName . " deleted successfully");
-
-        return redirect()->route("dashboard.settings.index");
-    }
-
-    public function postSecurityStore(PostSecurityRequest $request)
-    {
-        if ($request->has("post_security_id") && !is_null($request->post_security_id)) {
-            $postSecurity = PostSecurity::findOrFail($request->post_security_id);
-        } else {
-            $postSecurity = new PostSecurity();
-        }
-
-        $postSecurity->role()->associate(Role::find($request->role_id_to_be_reviewed));
-        $postSecurity->phase_ids = $request->phase_ids;
-
-        $postSecurity->save();
-
-        if ($request->has("post_security_id") && !is_null($request->post_security_id)) {
-            Alert::flash("Post security updated successfully");
-        } else {
-            Alert::flash("Post security created successfully");
-        }
-
-        return redirect()->route("dashboard.settings.index");
-    }
-
-    public function postSecurityDestroy($id)
-    {
-        PostSecurity::findOrFail($id)->delete();
-        Alert::flash("Post security deleted successfully");
-        return redirect()->route("dashboard.settings.index");
-    }
-
     private function updatePhotosHelper(Request $request, UserProfile $userProfile)
     {
Index: app/Http/Controllers/Dashboard/UsersController.php
===================================================================
--- app/Http/Controllers/Dashboard/UsersController.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ app/Http/Controllers/Dashboard/UsersController.php	(revision 0924b6c75483e6a4ae83e08487635bdc25436fed)
@@ -5,5 +5,4 @@
 use App\Helpers\Alert;
 use App\Http\Requests\Dashboard\NewUserRequest;
-use App\Models\Company;
 use App\Models\Role;
 use App\Models\User;
@@ -11,5 +10,4 @@
 use App\Notifications\WelcomeUser;
 use App\Http\Controllers\Controller;
-use Illuminate\Support\Facades\DB;
 use Illuminate\Support\Facades\Storage;
 use Propaganistas\LaravelPhone\PhoneNumber;
@@ -34,42 +32,28 @@
     public function store(NewUserRequest $request)
     {
-        DB::transaction(function () use ($request) {
+        $user = new User();
 
-            $user = new User();
+        $user->name = $request->name;
+        $user->surname = $request->surname;
+        $user->email = $request->email;
+        $user->country_code = $request->mobile_number_country;
+        $user->mobile_number = PhoneNumber::make($request->mobile_number, $request->mobile_number_country)->formatInternational();
+        $user->username = $request->username;
+        $user->password = $user->generateTemporaryPassword();
+        $user->security_code = $user->generateSecurityCode();
+        $user->verify_token = $user->generateVerifyToken();
 
-            $user->name = $request->name;
-            $user->surname = $request->surname;
-            $user->email = $request->email;
-            $user->country_code = $request->mobile_number_country;
-            $user->mobile_number = PhoneNumber::make($request->mobile_number, $request->mobile_number_country)->formatInternational();
-            $user->username = $request->username;
-            $user->password = $user->generateTemporaryPassword();
-            $user->security_code = $user->generateSecurityCode();
-            $user->verify_token = $user->generateVerifyToken();
+        $user->role_id = $request->userRole;
 
-            if ($request->has("company_id") || !is_null(auth()->user()->company_id)) {
-                $user->company_id = $request->has("company_id") || auth()->user()->company_id;
-                $user->role_id = 1;
-            } else {
-                $user->role_id = $request->userRole;
-            }
+        $user->save();
 
-            $user->save();
+        $user->userProfile()->create([
+            "profile_link" => $user->generateProfileLink($request->name, $request->surname),
+            "technoblog_email" => $user->generateTechnoblogEmail($request->name, $request->surname)
+        ]);
 
-            $userProfile = [
-                "profile_link" => $user->generateProfileLink($request->name, $request->surname),
-                "technoblog_email" => $user->generateTechnoblogEmail($request->name, $request->surname)
-            ];
+        $user->notify(new WelcomeUser($user));
 
-            if ($request->has("company_owner")) {
-                $userProfile["is_company_profile"] = true;
-            }
-
-            $user->userProfile()->create($userProfile);
-
-            $user->notify(new WelcomeUser($user));
-
-            Alert::flash("New user added successfully");
-        });
+        Alert::flash("New user added successfully");
 
         return redirect()->route("dashboard.users.create");
Index: app/Http/Requests/Blog/CompanyRequest.php
===================================================================
--- app/Http/Requests/Blog/CompanyRequest.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ 	(revision )
@@ -1,32 +1,0 @@
-<?php
-
-namespace App\Http\Requests\Blog;
-
-use Illuminate\Foundation\Http\FormRequest;
-
-class CompanyRequest extends FormRequest
-{
-    /**
-     * Determine if the user is authorized to make this request.
-     *
-     * @return bool
-     */
-    public function authorize()
-    {
-        return true;
-    }
-
-    /**
-     * Get the validation rules that apply to the request.
-     *
-     * @return array
-     */
-    public function rules()
-    {
-        return [
-            "name" => "required|min:2",
-            "website" => "required|url",
-            "email" => "required|email:filter"
-        ];
-    }
-}
Index: app/Http/Requests/Dashboard/NewUserRequest.php
===================================================================
--- app/Http/Requests/Dashboard/NewUserRequest.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ app/Http/Requests/Dashboard/NewUserRequest.php	(revision 0924b6c75483e6a4ae83e08487635bdc25436fed)
@@ -25,5 +25,5 @@
     public function rules()
     {
-        $rules = [
+        return [
             "name" => "required|alpha|min:2|max:255",
             "surname" => "required|alpha|min:2|max:255",
@@ -32,23 +32,16 @@
             "email" => "required|string|email|max:255|unique:users",
             "username" => "required|alpha_dash|min:8|unique:users,username",
+            "userRole" => "required|exists:roles,id"
         ];
-
-        if (!$this->has("company_id")) {
-            $rules["userRole"] = "required|exists:roles,id";
-        }
-
-        return $rules;
     }
 
     protected function getValidatorInstance()
     {
-        try {
-            if($this->request->has("mobile_number") && $this->request->has("mobile_number_country")) {
-                $this->request->set("mobile_number", PhoneNumber::make(
-                    $this->request->get("mobile_number"),
-                    $this->request->get("mobile_number_country")
-                )->formatInternational());
-            }
-        } catch (\Exception $e) {}
+        if($this->request->has("mobile_number") && $this->request->has("mobile_number_country")) {
+            $this->request->set("mobile_number", PhoneNumber::make(
+                $this->request->get("mobile_number"),
+                $this->request->get("mobile_number_country")
+            )->formatInternational());
+        }
 
         return parent::getValidatorInstance();
Index: app/Http/Requests/Dashboard/PhaseRequest.php
===================================================================
--- app/Http/Requests/Dashboard/PhaseRequest.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ 	(revision )
@@ -1,42 +1,0 @@
-<?php
-
-namespace App\Http\Requests\Dashboard;
-
-use Illuminate\Foundation\Http\FormRequest;
-
-class PhaseRequest extends FormRequest
-{
-    /**
-     * Determine if the user is authorized to make this request.
-     *
-     * @return bool
-     */
-    public function authorize()
-    {
-        if ($this->has("phase_id") && !is_null($this->request->get("phase_id"))) {
-            return auth()->user()->hasPermission("edit_phase");
-        }
-
-        return auth()->user()->hasPermission("create_phase");
-    }
-
-    /**
-     * Get the validation rules that apply to the request.
-     *
-     * @return array
-     */
-    public function rules()
-    {
-        $rules = [
-            "name" => "required|min:2|unique:phases",
-            "reviewer_role_id" => "required|exists:roles,id",
-        ];
-
-        if ($this->has("phase_id") && !is_null($this->request->get("phase_id"))) {
-            $rules["name"] = "required|min:2|unique:phases,name," . $this->request->get("phase_id");
-            $rules["phase_id"] = "required|exists:phases,id";
-        }
-
-        return $rules;
-    }
-}
Index: app/Http/Requests/Dashboard/PostSecurityRequest.php
===================================================================
--- app/Http/Requests/Dashboard/PostSecurityRequest.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ 	(revision )
@@ -1,53 +1,0 @@
-<?php
-
-namespace App\Http\Requests\Dashboard;
-
-use App\Models\Phase;
-use Illuminate\Foundation\Http\FormRequest;
-
-class PostSecurityRequest extends FormRequest
-{
-    /**
-     * Determine if the user is authorized to make this request.
-     *
-     * @return bool
-     */
-    public function authorize()
-    {
-        if ($this->has("post_security_id") && !is_null($this->request->get("post_security_id"))) {
-            return auth()->user()->hasPermission("edit_post_securities");
-        }
-
-        return auth()->user()->hasPermission("create_post_securities");
-    }
-
-    /**
-     * Get the validation rules that apply to the request.
-     *
-     * @return array
-     */
-    public function rules()
-    {
-        return [
-            "role_id_to_be_reviewed" => "required|exists:roles,id",
-            "phase_ids" => [
-                "required",
-                function($attribute, $value, $fail) {
-                    $phases = explode(",", $value);
-                    foreach ($phases as $phase) {
-                        if(is_null(Phase::find($phase))) {
-                            $fail("Error occurred. Please try again!");
-                        }
-                    }
-                }
-            ],
-        ];
-    }
-
-    public function attributes()
-    {
-        return [
-            "phase_ids" => "phases"
-        ];
-    }
-}
Index: app/Models/Company.php
===================================================================
--- app/Models/Company.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<?php
-
-namespace App\Models;
-
-use Illuminate\Database\Eloquent\Model;
-
-class Company extends Model
-{
-    protected $table = "companies";
-
-    protected $fillable = [
-        "name", "website", "email"
-    ];
-
-    public function users()
-    {
-        return $this->hasMany(User::class);
-    }
-}
Index: app/Models/Phase.php
===================================================================
--- app/Models/Phase.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ 	(revision )
@@ -1,23 +1,0 @@
-<?php
-
-namespace App\Models;
-
-use Illuminate\Database\Eloquent\Model;
-
-class Phase extends Model
-{
-    protected $table = "phases";
-    protected $fillable = [
-        "name", "reviewer_role_id"
-    ];
-
-    public function user()
-    {
-        return $this->belongsTo(User::class);
-    }
-
-    public function reviewer()
-    {
-        return $this->belongsTo(Role::class, "reviewer_role_id");
-    }
-}
Index: app/Models/Post.php
===================================================================
--- app/Models/Post.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ app/Models/Post.php	(revision 0924b6c75483e6a4ae83e08487635bdc25436fed)
@@ -16,13 +16,4 @@
 		return $this->belongsTo(User::class);
 	}
-
-	public function review() {
-		return $this->hasOne(Review::class);
-	}
-
-	public function needReview()
-    {
-        return PostSecurity::whereRoleId($this->user->role->id)->first();
-    }
 
 	public function category() {
Index: app/Models/PostSecurity.php
===================================================================
--- app/Models/PostSecurity.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ 	(revision )
@@ -1,51 +1,0 @@
-<?php
-
-namespace App\Models;
-
-use Illuminate\Database\Eloquent\Model;
-
-class PostSecurity extends Model
-{
-    protected $table = "post_securities";
-
-    protected $fillable = [
-        "role_id", "phases_id"
-    ];
-
-    public function role()
-    {
-        return $this->belongsTo(Role::class);
-    }
-
-    public function phases($onlyNames = false)
-    {
-        $collection = collect();
-        $names = [];
-        $phase_ids = explode(",", $this->phase_ids);
-
-        foreach ($phase_ids as $phase_id) {
-            $phase = Phase::findOrFail($phase_id);
-            array_push($names, $phase->name);
-            $collection->push($phase);
-        }
-
-        if ($onlyNames) return implode(", ", $names);
-
-        return $collection;
-    }
-
-    public function getPhasesAttribute()
-    {
-        return $this->phases();
-    }
-
-    public function getPhaseNamesAttribute()
-    {
-        return $this->phases(true);
-    }
-
-    public function hasNextPhase($id)
-    {
-        return in_array($id + 1, explode(",", $this->phases_id));
-    }
-}
Index: app/Models/Review.php
===================================================================
--- app/Models/Review.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ 	(revision )
@@ -1,35 +1,0 @@
-<?php
-
-namespace App\Models;
-
-use Illuminate\Database\Eloquent\Model;
-
-class Review extends Model
-{
-    protected $table = "post_reviews";
-
-    public function post()
-    {
-        return $this->belongsTo(Post::class);
-    }
-
-    public function postSecurity()
-    {
-        return $this->belongsTo(PostSecurity::class, "post_security_id");
-    }
-
-    public function getPhase()
-    {
-        return $this->postSecurity->phases()->where("id", $this->current_phase)->first();
-    }
-
-    public function canReview()
-    {
-        return $this->getPhase()->reviewer_role_id == auth()->user()->role->id;
-    }
-
-    public function getCurrentReviewer()
-    {
-        return $this->getPhase()->reviewer;
-    }
-}
Index: app/Models/User.php
===================================================================
--- app/Models/User.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ app/Models/User.php	(revision 0924b6c75483e6a4ae83e08487635bdc25436fed)
@@ -9,162 +9,141 @@
 class User extends Authenticatable
 {
-    use Notifiable;
+	use Notifiable;
 
-    protected $table = "users";
+	protected $table = "users";
 
-    /**
-     * The attributes that are mass assignable.
-     *
-     * @var array
-     */
-    protected $fillable = [
-        "name",
-        "surname",
-        "username",
-        "password",
-        "email",
+	/**
+	 * The attributes that are mass assignable.
+	 *
+	 * @var array
+	 */
+	protected $fillable = [
+		"name",
+		"surname",
+		"username",
+		"password",
+		"email",
         "country_code",
         "mobile_number",
-        "role_id"
-    ];
+		"role_id"
+	];
 
-    /**
-     * The attributes that should be hidden for arrays.
-     *
-     * @var array
-     */
-    protected $hidden = [
-        "password",
-        "remember_token",
-        "is_active"
-    ];
+	/**
+	 * The attributes that should be hidden for arrays.
+	 *
+	 * @var array
+	 */
+	protected $hidden = [
+		"password",
+		"remember_token",
+		"is_active"
+	];
 
-    /**
-     * The attributes that should be cast to native types.
-     *
-     * @var array
-     */
-    protected $casts = [];
+	/**
+	 * The attributes that should be cast to native types.
+	 *
+	 * @var array
+	 */
+	protected $casts = [];
 
 
-    public function role()
-    {
-        return $this->belongsTo(Role::class);
-    }
+	public function role() {
+		return $this->belongsTo(Role::class);
+	}
 
-    public function company()
-    {
-        return $this->belongsTo(Company::class);
-    }
-
-    public function userProfile()
-    {
+	public function userProfile() {
         return $this->hasOne(UserProfile::class);
     }
 
-    public function post()
-    {
-        return $this->hasMany(Post::class);
-    }
+	public function post() {
+		return $this->hasMany(Post::class);
+	}
 
-    public function comments()
-    {
-        return $this->hasManyThrough(Comment::class, Post::class);
-    }
+	public function comments()
+	{
+		return $this->hasManyThrough(Comment::class, Post::class);
+	}
 
-    public function hasPermission($permission, $id = null, $any = false)
-    {
+	public function hasPermission($permission, $id = null, $any = false) {
 
-        $userPermissions = null;
-        $flag = null;
+		$userPermissions = null;
+		$flag = null;
 
-        if ($id != null) $userPermissions = User::find($id)->role->permission->pluck("name");
-        else $userPermissions = $this->role->permission->pluck("name");
+		if($id != null) $userPermissions = User::find($id)->role->permission->pluck("name");
+		else $userPermissions = $this->role->permission->pluck("name");
 
-        if ($any) {
-            foreach ($permission as $p) {
-                if ($this->hasPermission($p)) {
-                    return true;
-                }
-            }
-            return false;
-        }
+		if($any) {
+			foreach($permission as $p) {
+				if($this->hasPermission($p)) {
+					return true;
+				}
+			}
+			return false;
+		}
 
-        if (is_string($permission)) {
-            return $userPermissions->contains($permission);
-        }
+		if(is_string($permission)) {
+			return $userPermissions->contains($permission);
+		}
 
-        if (is_array($permission)) {
-            foreach ($permission as $p) {
-                if ($this->hasPermission($p)) {
-                    $flag = true;
-                } else {
-                    $flag = false;
-                    break;
-                }
-            }
-        }
+		if(is_array($permission)) {
+			foreach($permission as $p) {
+				if($this->hasPermission($p)) {
+					$flag = true;
+				} else {
+					$flag = false; break;
+				}
+			}
+		}
 
-        return $flag;
-    }
+		return $flag;
+	}
 
-    public function hasAllPermissions(array $permissions = array(), $id = null, $any = false)
-    {
-        return $this->hasPermission($permissions, $id, $any);
-    }
+	public function hasAllPermissions(array $permissions = array(), $id = null, $any = false) {
+		return $this->hasPermission($permissions, $id, $any);
+	}
 
-    public function hasAnyPermission(array $permissions = array(), $id = null, $any = true)
-    {
-        return $this->hasPermission($permissions, $id, $any);
-    }
+	public function hasAnyPermission(array $permissions = array(), $id = null, $any = true) {
+		return $this->hasPermission($permissions, $id, $any);
+	}
 
-    public function hasRole($role)
-    {
-        return $role === $this->role->name;
-    }
+	public function hasRole($role) {
+		return $role === $this->role->name;
+	}
 
-    public function isAdmin()
-    {
-        return $this->hasRole("admin");
-    }
+	public function isAdmin() {
+		return $this->hasRole("admin");
+	}
 
-    public function isAdminOrEditor()
-    {
-        return $this->hasRole("admin") || $this->hasRole("editor");
-    }
+	public function isAdminOrEditor() {
+		return $this->hasRole("admin") || $this->hasRole("editor");
+	}
 
-    public function getFullName($id = null)
-    {
+	public function getFullName($id = null) {
 
-        if ($id != null) {
-            $user = User::find($id);
-            return $user->name . " " . $user->surname;
-        }
+		if($id != null) {
+			$user = User::find($id);
+			return $user->name . " " . $user->surname;
+		}
 
-        return $this->name . " " . $this->surname;
-    }
+		return $this->name . " " . $this->surname;
+	}
 
-    public function getPostsCount($id)
-    {
-        return Post::where("user_id", $id)->count();
-    }
+	public function getPostsCount($id) {
+		return Post::where("user_id", $id)->count();
+	}
 
-    public function generateTemporaryPassword($length = 20)
-    {
-        return bcrypt(Str::random($length));
-    }
+	public function generateTemporaryPassword($length = 20) {
+		return bcrypt(Str::random($length));
+	}
 
-    public function generateSecurityCode($min = 10000, $max = 99999)
-    {
-        return rand($min, $max);
-    }
+	public function generateSecurityCode($min = 10000, $max = 99999) {
+		return rand($min, $max);
+	}
 
-    public function generateVerifyToken($length = 32)
-    {
-        return Str::random($length);
-    }
+	public function generateVerifyToken($length = 32) {
+		return Str::random($length);
+	}
 
-    public function generateProfileLink($name, $surname)
-    {
+    public function generateProfileLink($name, $surname) {
 
         $profileLinks = UserProfile::pluck("profile_link")->toArray();
@@ -172,5 +151,5 @@
 
         foreach ($profileLinks as $profileLink) {
-            if ($profileLink == $link) {
+            if($profileLink == $link) {
                 $link .= "-" . strtolower(Str::random(10));
                 break;
@@ -181,6 +160,5 @@
     }
 
-    public function generateTechnoblogEmail($name, $surname)
-    {
+    public function generateTechnoblogEmail($name, $surname) {
 
         $emails = UserProfile::pluck("technoblog_email")->toArray();
@@ -188,5 +166,5 @@
 
         foreach ($emails as $email) {
-            if ($email == $newEmail) {
+            if($email == $newEmail) {
                 $position = strlen($name) + strlen($surname) + 1;
                 $id = UserProfile::latest("id")->first()->id + 1;
Index: app/Models/UserProfile.php
===================================================================
--- app/Models/UserProfile.php	(revision 7ed1069f6039a50afc7a9220886408a347ce4ffd)
+++ app/Models/UserProfile.php	(revision 0924b6c75483e6a4ae83e08487635bdc25436fed)
@@ -13,5 +13,4 @@
         "technoblog_email",
         "user_id",
-        "is_company_profile",
         "profile_link",
         "short_bio",